#
# spec file for package growpart
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define base_version 0.30
Name:           growpart
Version:        %{base_version}
Release:        6.11
Summary:        Grow a partition
License:        GPL-3.0-only
Group:          System/Management
Url:            http://launchpad.net/cloud-utils
Source0:        cloud-utils-%{base_version}.tar.gz
Patch:          licenseGPLv3.patch
Requires:       util-linux
Requires:       gptfdisk
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Grow a partition. This is predominantly useful in the cloud when an instance
is started with a larger root partition than the image size. The root
partition can be expanded to take up the additional size.

%prep
%autosetup -p1 -n cloud-utils-%{base_version}

%build

%install
install -Dm0755 -t %{buildroot}%{_sbindir} bin/growpart
install -Dm0644 -t %{buildroot}%{_mandir}/man1 man/growpart.1

%files
%defattr(-,root,root,-)
%license LICENSE-GPLv3
%{_sbindir}/growpart
%{_mandir}/man1/*

%changelog
* Tue Oct 29 2019 Fabian Vogt <fvogt@suse.com>
- Clean growpart.spec:
  * Drop obsolete tags
  * Use install instead of mkdir+cp+chmod
  * Fix build on SLE 12 SP4
* Fri Oct 25 2019 Ignaz Forster <iforster@suse.com>
- Replaced hardcoded systemd paths with macros in spec file
* Thu Oct 24 2019 Marcus Schaefer <ms@suse.com>
- Reference entry for maintenance
  Tracker bug for the submission set to: bsc#1154357
* Thu Oct 17 2019 Marcus Schaefer <ms@suse.com>
- Deleted rootgrow source and sub-package build
  rootgrow is provided on github: https://github.com/SUSE-Enceladus/rootgrow
  and builds a standalone package now
* Wed Jun 12 2019 Dominique Leuenberger <dimstar@opensuse.org>
- BuildRequire pkgconfig(systemd) instead of systemd: allow OBS to
  shortcut the build queues by allowing usage of systemd-mini
* Thu Jun 21 2018 rjschwei@suse.com
- Support btrfs resize, handle ro setup in rootgrow (bsc#1097455, bsc#1098681)
* Wed Apr  4 2018 kukuk@suse.de
- Use %%license instead of %%doc [bsc#1082318]
* Wed Jan 24 2018 rjschwei@suse.com
- Split rootgrow and script and service into subpackage to retain
  dependency chain for growpart
* Mon Jan 22 2018 rjschwei@suse.com
- Update to version 0.30 (bsc#1064755)
  + improved error messages on failure.
  + ignore sfdisk failure in 2.28.1 when due to reread failing
  (LP: #1619285)
  + Add service file to start growpart via systemd
  + Add rootgrow script to wrap growpart
* Tue Sep 13 2016 rjschwei@suse.com
- Update to version 0.29 (bsc#998378)
  + fix use of partx for newer util-linux versions (LP: #1587971)
    [Lars Kellogg-Stedman]
  + fix some issues in error path reporting
  + capture output of 'partx --help' as older versions
    do not support that flag, and send output to stderr.
  + fix bug when growing partitions on disks > 2TB. (LP: #1259703)
  + run partx only on block devices (not files)
  + better --dry-run output for gpt disks, providing sgdisk command
    line that would be used.
  + support sfdisk >= 2.26, and support gpt partitions with sfdisk
* Tue Mar 18 2014 rschweikert@suse.com
- add patch licenseGPLv3.patch
  + no license file included in upstream release
    (https://bugs.launchpad.net/cloud-utils/+bug/1294338)
  + GPL v3 applies to growpart script, that is all we are distributing
    at the moment
- fix the Group, don't shout
* Mon Mar 17 2014 rschweikert@suse.com
- include in SLE 12 (FATE #315990, #315991, and 316167)
* Mon Mar 17 2014 rschweikert@suse.com
- Initial build
